{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load widget_tweaks %}
{% load tag_color_tag %}
{% load status_tag %}
{% load md2 %}
{% load humanize %}
{% load price_tag %}
{% block title %}Detalle del Servicio {{ service.number }}{% endblock %}

{% block pagelevelcss %}
<style>
	.ojo{
    border: 1px solid;
    margin: 10px 0px;
    padding:15px 10px 15px 10px;
    background-repeat: no-repeat;
    background-position: 10px center;
    font-family:Arial, Helvetica, sans-serif;
    font-size:13px;
    width:auto;
	}
	.ojo {
    color: #9F6000;
    background-color: #FEEFB3;
	}
</style>
{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
		<li class="breadcrumb-item active">#{{ service.number }}</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
	<!-- end page-header -->

	{% if warning_activated_on == 1 %}
	<div class="ojo">
		<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		<b><strong>¡Atención!</strong>  El servicio está activo, y no se ha colocado la fecha de activación</b>
	</div>
	{% endif %}

	{% if warning_installation == 1 %}
	<div class="ojo">
		<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		<b><strong>¡Atención!</strong>  Aún no se tiene fecha de instalación</b>
	</div>
	{% endif %}

	<div tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" id="tag-modal" class="modal fade bs-example-modal-sm" style="display: none;">
			<div role="document" class="modal-dialog modal-sm">
			  <div class="modal-content">
				<div class="modal-header">
				  <h4 id="myLargeModalLabel" class="modal-title">Añadir etiqueta</h4>
				</div>
				<div class="modal-body">
				  <p>Escriba una nueva etiqueta para este servicio, puede usar autocompletar:</p>
		  <div class="loading-demo">
  
			<datalist id="tag-list">
			  {% for value in autocomplete_datalist %}
			  <option value="{{ value }}">
			{% endfor %}
			</datalist>
  
  <form class="form-horizontal" method="post" enctype="multipart/form-data">
	{% csrf_token %}
  
	{% for field in tag_create_form %}
	  <div class="form-group">
		<label for="{{ field.auto_id }}" class="col-sm-3 control-label">{{ field.label }}</label>
		<div class="col-sm-9">
	  {% render_field field class="form-control" %}
  
	  {% for error in field.errors %}
		<span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
	  {% endfor %}
		</div>
	  </div>
	{% endfor %}
	<input type="submit" value="Añadir" class="btn btn-primary">
	<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</a>
  </form>
  
		  </div>
				</div>
				<div class="modal-footer">
				</div>
			  </div>
			</div>
		  </div>


	{% for tag in service.tags.all %}
		<span class="label" style="background-color: {% tag_color tag %}">{{ tag }}</span> 
	{% endfor %}
	<div class="row mb-3">
		<div class="col-sm-12 col-md-12">
			<a class="btn btn-primary btn-sm pull-right" href="{% url 'service-dates-update' service.slug %}" data-toggle="modal" data-target="#tag-modal">Añadir Etiqueta</a>
		</div>
	</div>

	<ul class="nav nav-pills mb-2">
		<li class="nav-item">
			<a href="#"class="nav-link active">
				<span class="d-sm-none">General</span>
				<span class="d-sm-block d-none">General</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-network-detail' %}">
			<a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Red</span>
				<span class="d-sm-block d-none">Red</span>
			</a>
		</li>
		<!--
		<li class="nav-item {% add_active request 'service-calls' %}">
			<a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Registro de Llamadas</span>
				<span class="d-sm-block d-none">Registro de Llamadas</span>
			</a>
		</li>
		-->
		<li class="nav-item {% add_active request 'service-gallery' %}">
			<a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Galería</span>
				<span class="d-sm-block d-none">Galería</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-documents' %}">
			<a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Documentos</span>
				<span class="d-sm-block d-none">Documentos</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-extras' %}">
			<a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Prefacturación</span>
				<span class="d-sm-block d-none">Prefacturación</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-promotions' %}">
			<a href="{% url 'service-promotions' service.slug %}" class="nav-link">
				<span class="d-sm-none">Promociones</span>
				<span class="d-sm-block d-none">Promociones</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-plan-orders' %}">
			<a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Orden de Servicio</span>
				<span class="d-sm-block d-none">Orden de Servicio</span>
			</a>
		</li>
        <li class="nav-item {% add_active request 'service-configuration' %}">
			<a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Configuración</span>
				<span class="d-sm-block d-none">Configuración</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-typify' %}">
			<a href="{% url 'service-typify' service.slug %}" class="nav-link">
				<span class="d-sm-none">Tipificaciones</span>
				<span class="d-sm-block d-none">Tipificaciones</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-billing' %}">
        <a href="{% url 'service-billing' service.slug %}" class="nav-link">
          <span class="d-sm-none">Estado de Cuenta servicio</span>
          <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
        </a>
      </li> 
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta cliente</span>
				<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
			</a>
		</li>
        
	</ul>
	  
	<!-- begin row -->
	<div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Fechas</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div id="service-notes" class="panel-body">
					{% if perms.customers.change_service %}
						<div class="row mb-3">
							<div class="col-sm-12 col-md-12">
								<a class="btn btn-warning btn-sm pull-right" href="{% url 'service-dates-update' service.slug %}">Editar</a>
							</div>
						</div>
					{% endif %}
					<div class="note note-success m-b-5" style = "background-color: #00acac;">
						<div class="note-icon" style="color:rgb(37, 82, 70)"><i class="fa fa-sign-in-alt"></i></div>
						<div class="note-content" style = "color:white">
							<h5><b>Fecha de ingreso</b></h5>
							<p>
								{{ created_at }}
							</p>
						</div>
						<div class="note-content text-right" style = "color:white">
							<h5><b>Fecha de comienzo de facturación</b></h5>
							<p>
								{{ activated_on|default:"No activado" }}
							</p>
						</div>
						<div class="note-icon" style="color:rgb(37, 82, 70)"><i class="fa fa-file-alt"></i></div>
					</div>
					<div class="note note-warning m-b-5" style = "background-color: #f59c1a;">
						<div class="note-icon"><i class="fa fa-screwdriver"></i></div>
						<div class="note-content" style = "color:white">
							<h5><b>Fecha de instalación</b></h5>
							<p>
								{{ object.installed_on|default:"No instalado" }}
							</p>
						</div>
						<div class="note-content text-right" style = "color:white">
							<h5><b>Fecha de retiro de equipo</b></h5>
							<p>
								{{ uninstalled_on|default:"No retirado" }}
							</p>
						</div>
						<div class="note-icon" style = ><i class="fa fa-hdd"></i></div>
					</div>
					
					<div class="note note-danger m-b-5" style = "background-color: #ff5b57">
						<div class="note-icon"><i class="fa fa-sign-out-alt"></i></div>
						<div class="note-content" style = "color:white">
							<h5><b>Fecha de término</b></h5>
							<p>
								{{ expired_on|default:"Ninguna" }}
							</p>
						</div>
						
							<div class="note-content text-right" style = "color:white">
								<h5><b>Tiempo onboarding</b></h5>
								<p>
									{{ onboard_time|naturaltime|default:"No Onboarding" }}
								</p>
							</div>
							<div class="note-icon"><i class="fa fa-clipboard"></i></div>
						
					</div>
					<div class="note m-b-5" style = "background-color: #8E44AD; color: #8E44AD;">
						<div class="note-icon" style="color: #5B2C6F"><i class="fa fa-unlock-alt"></i></div>
						<div class="note-content" style = "color:white">
							<h5><b>Retención</b></h5>
							<p>
								{{ is_retention }}
							</p>
						</div>
					</div>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->

			<!-- begin panel -->
			{% if escalation_message %}
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Escalamientos</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
					<div class="panel-body">
						<div>{{escalation_message}}</div>
					</div>
				<!-- end panel-body -->
			</div>
			{% else %}
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Escalamientos</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
					<div class="panel-body">
						<table class="table table-striped">
							<thead>
							<tr>
								<th>ID</th>
								<th>Agente</th>
								<th>Fecha de Creación</th>
							</tr>
						</thead>
						<tbody>
							{% for info in escalation %}
								<tr>
									<td>{{info.ID}}</td>
									<td>{{info.agent}}</td>
									<td>{{info.created| naturaltime}}</td>
								</tr>
							{% endfor %}
						</tbody>
						</table>
					</div>
				<!-- end panel-body -->
			</div>
			{% endif %}
		<!-- end panel -->

		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Histórico de estado</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
				<table class="table table-striped">
					<thead>
					<tr>
						<th>Estado</th>
						<th>Fecha de cambio</th>
						<th>Usuario</th>
					</tr>
				</thead>
				<tbody>
					{% for hh in hstatus %}
						<tr>
							<td><span class="label label-{% get_service_status_class hh.0.status %}">{{ hh.0.get_status_display|capfirst }}</span></td><td title="{{ hh.0.history_date }}">{{ hh.0.history_date|naturaltime }}</td><td title="{{ hh.1 }}">{{ hh.1 }}</td>
						</tr>
					{% endfor %}
				</tbody>
				</table>
			</div>
			<!-- end panel-body -->
	</div>
	<!-- end panel -->

			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1" id="activity_log">
					<!-- begin panel-heading -->
					<div class="panel-heading ui-sortable-handle">
						<h4 class="panel-title">Registro de actividad</h4>
						<div class="panel-heading-btn">
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
						</div>
					</div>
					<!-- end panel-heading -->
					<!-- begin panel-body -->
					<div class="panel-body">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Actividad</th>
									<th>Fecha</th>
								</tr>
							</thead>
							<tbody>
								{% for activity in service.action_log %}
									<tr>
										<td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} este servicio.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
									</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
					<!-- end panel-body -->
			</div>
			<!-- end panel -->




			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
					<!-- begin panel-heading -->
					<div class="panel-heading ui-sortable-handle">
						<h4 class="panel-title">Histórico de notas</h4>
						<div class="panel-heading-btn">
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
						</div>
					</div>
					<!-- end panel-heading -->
					<!-- begin panel-body -->
					<div class="panel-body">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Notas</th>
									<th>Fecha de cambio</th>
								</tr>
							</thead>
							<tbody>
								{% for hh in service.notes_history %}
									<tr>
										<td><span data-toggle="popover" title="{{ hh.history_date }}" data-content="{{ hh.notes }}">{{ hh.notes|truncatewords:5 }}</span></td><td>{{ hh.history_date|naturaltime }}</td>
									</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
					<!-- end panel-body -->
			</div>
			<!-- end panel -->



		</div>
		<!-- end col-6 -->
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-primary" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Datos generales</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					{% if perms.customers.change_service %}
						<div class="row mb-3">
							<div class="col-sm-12 col-md-12">
								<a class="btn btn-warning btn-sm pull-right" href="{% url 'service-update' object.pk %}">Editar</a>
							</div>
						</div>
					{% endif %}
					<table class="table table-striped">
							<thead>
									<tr>
									  <th>Campo</th>
									  <th>Valor</th>
									</tr>
								  </thead>
								  <tbody>
									<tr>
									  <td>Estado</td><td><span class="label label-{{ object.get_status_class }}">{{ object.get_status_display|capfirst }}</span></td>
									</tr>
									<tr>
									  <td>Estado de la red</td><td><span class="label label-{{ network_status.0 }}">{{ network_status.1|capfirst }}</span></td>
									</tr>
									<tr>
									  <td>Tipo de documento </td><td><span class="label label-default">{{ object.get_document_type_display|capfirst }}</span></td>
									</tr>
									{%if object.id_pulso %}
									<tr>
									  <td>Dirección de instalación</td><td>{{ object.best_address }}</td>
									</tr>
									{% else %}
									<tr>
										<td>Dirección de instalación</td><td>{{ object.best_address }}</td>
									  </tr>
									<tr>
									  <td>Calle</td><td>{{ object.best_street }}</td>
									</tr>
									<tr>
									  <td>Número</td><td>{{ object.best_house_number }}</td>
									</tr>
									<tr>
									  <td>Número de departamento</td><td>{{ object.best_apartment_number }}</td>
									</tr>
									<tr>
									  <td>Torre</td><td>{{ object.best_tower }}</td>
									</tr>
									{% endif %}
									<tr>
									  <td>Comuna</td><td>{{ object.best_location }}</td>
									</tr>
									<tr>
									  <td>{% trans 'plan' as tr_plan %}{{ tr_plan|capfirst }}</td><td>{{ object.plan }}</td>
									</tr>
									<tr>
									  <td>Valor a facturar</td><td>${{ object.price | price_tag }}</td>
									</tr>
									{% if object.activation_fee %}
									<tr>
									  <td>Cobro de habilitación</td><td>${{ object.activation_fee | price_tag}}</td>
									</tr>
									{% endif %}
									<tr>
									  <td>Vendedor</td><td>{{ object.seller|default:"Ventas Mesón Santiago" }}</td>
									</tr>
									<tr>
									  <td>Permitir corte automático</td><td>{{ object.allow_auto_cut|yesno:"Sí,No" }}</td>
									</tr>
									<tr>
									  <td>Notas de facturación</td><td>{{ object.billing_notes|default:"Sin notas"|markdown }}</td>
									</tr>
									<tr>
										<td><strong>Operador</strong></td><td>{{ object.operator }}</td>
									  </tr>
									<tr>
									  <td>Notas del contrato</td><td>{{ object.notes|default:"Sin notas"|markdown }}</td>
									</tr>
									<tr>
									  <td>Notas internas</td><td>{{ object.internal_notes|default:"Sin notas"|markdown }}</td>
									</tr>
									<tr>
									  <td>Facturas unificadas</td><td>{{ object.unified_billing|yesno:"Sí,No" }}</td>
									</tr>
									<tr>
									  <td>Agente que ingresó el {% trans 'service' %}</td><td>{{ service.agent.username }}</td>
									</tr>
								  </tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-4">
					<!-- begin panel-heading -->
					<div class="panel-heading ui-sortable-handle">
						<h4 class="panel-title">Histórico de fechas</h4>
						<div class="panel-heading-btn">
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
						</div>
					</div>
					<!-- end panel-heading -->
					<!-- begin panel-body -->
					<div class="panel-body">
						<table class="table table-striped">
						<thead>
							<tr>
							  <th>Fecha del cambio</th>
							  <th>Ingreso</th>
							  <th>Comienzo fact.</th>
							  <th>Instalación</th>
							  <th>Retiro</th>
							  <th>Término</th>
							</tr>
						  </thead>
						  <tbody>
							{% for hh in service.dates_history %}
							<tr>
							  <td>{{ hh.history_date|naturaltime }}</td>
							  <td>{{ hh.created_at|default_if_none:"-" }}</td>
							  <td>{{ hh.activated_on|default_if_none:"-" }}</td>
							  <td>{{ hh.installed_on|default_if_none:"-" }}</td>
							  <td>{{ hh.uninstalled_on|default_if_none:"-" }}</td>
							  <td>{{ hh.expired_on|default_if_none:"-" }}</td>
							</tr>
							{% endfor %}
						  </tbody>
						</table>
					</div>
					<!-- end panel-body -->
			</div>
			<!-- end panel -->

			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Histórico de planes</h4>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<table class="table table-striped">
					<thead>
					<tr>
						<th>Usuario</th>
						<th>Plan</th>
						<th>Costo</th>
						<th>Fecha del cambio</th>
					</tr>
					</thead>
					<tbody>
		
					{% for hh in service.action_log_plans %}
						<tr>
							<td>{{hh.history_user}}</td><td>{{ hh.plan.name|capfirst }}</td><td>{{ hh.plan.price }}$</td><td title="{{ hh.history_date }}">{{ hh.history_date|naturaltime }}</td>
						</tr>
					{% endfor %}
				  </tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->




			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Histórico de notas de facturación</h4>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<table class="table table-striped">
					<thead>
					<tr>
						<th>Usuario</th>
						<th>Nota de facturación</th>
						<th>Fecha del cambio</th>
					</tr>
					</thead>
					<tbody>
		
					{% for hh in service.billing_notes_history %}
						<tr>
							<td>{{hh.history_user}}</td><td>{{ hh.billing_notes|capfirst }}</td><td title="{{ hh.history_date }}">{{ hh.history_date|naturaltime }}</td>
						</tr>
					{% endfor %}
					</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->

			

		</div>
		<!-- end col-6 -->
	</div>
	<!-- end row -->
	{%else%}
		<!-- begin page-header -->
		<h1 class="page-header">  Servicio </h1>
		<!-- end page-header -->
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
	</div>
	{% endif %}
	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->

{% endblock %}

{% block on_document_ready %}
    $('[data-toggle="popover"]').popover();
    //$('#tag-modal').modal();
{% endblock %}

